@mixin centerItems {
  justify-content: center;
  align-items: center;
  display: flex;
  border-radius: 0.5rem;
}

.skeletonMain {
  & > div {
    width: 100% !important;
  }
}
.customPagination {
  background: rgba(36, 36, 36, 0.5);
  color: hsla(0, 0%, 100%, 0.5);
}

.prevBtn {
  padding: 10px 0;
  background-color: rgba(0, 0, 0, 0.4);
  & svg {
    fill: rgb(213, 209, 209);
  }
  &:hover svg {
    fill: white;
  }
}

.nextBtn {
  padding: 10px 0;

  background-color: rgba(0, 0, 0, 0.4);
  & svg {
    fill: rgb(213, 209, 209);
  }

  &:hover svg {
    fill: white;
  }
}

.fraction {
  @apply absolute bottom-4 z-10 left-auto w-auto border-0 rounded-xl pl-2 pr-2 text-sm;
  background: rgba(36, 36, 36, 0.5);
  color: hsla(0, 0%, 100%, 0.5);

  &__current {
    @apply font-bold text-white;
  }
}

.btn {
  border: 1px solid #ececec;
  @include centerItems();
  padding: 1rem;
  margin-right: 0.75rem;
}

.buyNow {
  @include centerItems();
  padding: 0.75rem;
  width: 100%;
  // max-width: 21.875rem;
  color: white;
  font-size: 1.125rem;
  height: max-content;
}

.brandName {
  padding: 1rem 1.5rem;
  border: 1px solid #ececec;
  border-radius: 8px;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.brandHome {
  padding: 0.25rem 0.75rem;
  color: #ba92d9;
  border: 1px solid #ba92d9;
  font-size: 0.75rem;
  border-radius: 0.5rem;
}

.joinIconClass {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  cursor: pointer;
  background: #f4f5f9;
  transition: all 0.35s ease-in-out;

  border-radius: 8px;
  &:hover * {
    stroke: #ba92d9;
    fill: white;
    color: #ba92d9;
  }

  &:hover {
    border: 1px solid #ba92d9;

    background: white;
  }
}
